> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Returns a cursor-paginated list of the organisation's companies.



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/companies
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/companies:
    get:
      tags:
        - Companies
      summary: List
      description: Returns a cursor-paginated list of the organisation's companies.
      operationId: CompanyController_list
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: number
        - name: search
          required: false
          in: query
          schema:
            example: Acme
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            minimum: 1
            type: number
        - name: connectionStatus
          required: false
          in: query
          schema:
            type: string
            enum:
              - PENDING
              - HEALTHY
              - DISCONNECTED
              - EXPIRED
              - RATE_LIMIT_EXCEEDED
        - name: integration
          required: false
          in: query
          schema:
            type: string
            enum:
              - BUSY
              - CLEARBOOKS
              - FREEAGENT
              - FRESHBOOKS
              - KASHFLOW
              - MEKARI_JURNAL
              - MS_DYNAMICS_365
              - MS_DYNAMICS_365_FO
              - MYOB_BUSINESS
              - NETSUITE
              - ODOO_ACCOUNTING
              - QOYOD
              - QUICKBOOKS
              - QUICKBOOKS_SANDBOX
              - ROOTFI_SANDBOX
              - SAGE_CLOUD_ACCOUNTING
              - SAGE_ZA_CLOUD_ACCOUNTING
              - SAGE_INTACCT
              - TALLY
              - WAFEQ
              - WAVE
              - XERO
              - ZOHO_BOOKS
              - PUZZLE_SANDBOX
              - PUZZLE
              - RILLET
              - RILLET_SANDBOX
              - AMAZON
              - BIG_COMMERCE
              - SHOPIFY
              - SQUARESPACE
              - WIX
              - WOO_COMMERCE
              - GOOGLE_PLAYSTORE
              - CHARGEBEE
              - MOLLIE
              - PAYPAL
              - PAYPAL_SANDBOX
              - RAZORPAY
              - SQUARE
              - SQUARE_SANDBOX
              - STRIPE
              - STRIPE_TEST
              - STRIPE_SANDBOX
              - ZOHO_INVOICE
              - PADDLE
              - PADDLE_SANDBOX
              - HUBSPOT
              - PIPEDRIVE
              - SALES_FORCE
              - ZOHO_CRM
              - GUSTO
        - name: integrationCategory
          required: false
          in: query
          schema:
            type: string
            enum:
              - ACCOUNTING
              - PAYMENTS
              - ECOMMERCE
              - CRM
              - HRIS
        - name: syncState
          required: false
          in: query
          schema:
            type: string
            enum:
              - IDLE
              - SYNCING
      responses:
        '200':
          description: Paginated list of companies.
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/ListCompaniesResponse'
                  request_id:
                    type: string
                    format: uuid
                required:
                  - data
                  - request_id
      security:
        - api_key: []
components:
  schemas:
    ListCompaniesResponse:
      type: object
      properties:
        companies:
          type: array
          items:
            $ref: '#/components/schemas/SerializedCompany'
        count:
          type: number
        next:
          type: number
          nullable: true
      required:
        - companies
        - count
        - next
    SerializedCompany:
      type: object
      properties:
        id:
          type: number
        inviteLinkId:
          type: string
          nullable: true
        companyId:
          type: number
        companyName:
          type: string
          nullable: true
        integration:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        integrationCategory:
          type: string
          enum:
            - ACCOUNTING
            - PAYMENTS
            - ECOMMERCE
            - CRM
            - HRIS
        integrationEntityId:
          type: string
          nullable: true
        connectionStatus:
          type: string
          enum:
            - HEALTHY
            - DISCONNECTED
            - EXPIRED
            - PENDING
            - RATE_LIMIT_EXCEEDED
          nullable: true
        syncStatus:
          type: string
          enum:
            - IDLE
            - FETCHING
            - SLEEPING
            - PARSING
            - RUNNING
          nullable: true
        hasActiveSync:
          type: boolean
        lastSynced:
          type: string
          format: date-time
          nullable: true
        syncFrom:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        dataModelConfigs:
          type: array
          items:
            $ref: '#/components/schemas/DataModelSyncConfigResponse'
        connection:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/SerializedConnection'
      required:
        - id
        - inviteLinkId
        - companyId
        - companyName
        - integration
        - integrationCategory
        - integrationEntityId
        - connectionStatus
        - syncStatus
        - hasActiveSync
        - lastSynced
        - syncFrom
        - createdAt
        - dataModelConfigs
        - connection
    DataModelSyncConfigResponse:
      type: object
      properties:
        dataModel:
          type: string
          enum:
            - ACCOUNT
            - BALANCE_SHEET
            - BANK_ACCOUNT
            - BANK_TRANSACTION
            - BILL
            - BILL_CREDIT_NOTE
            - BILL_PAYMENT
            - CASH_FLOW_STATEMENT
            - COMPANY_INFO
            - CONTACT
            - CURRENCY
            - DOCUMENT
            - EXPENSE
            - GOODS_RECEIPT_NOTE
            - INCOME_STATEMENT
            - INVOICE
            - INVOICE_CREDIT_NOTE
            - INVOICE_PAYMENT
            - ITEM
            - JOURNAL_ENTRY
            - JOURNAL_LINE
            - PROJECT
            - PURCHASE_ORDER
            - SALES_ORDER
            - ESTIMATE
            - TAX_RATE
            - TRACKING_CATEGORY
            - CASH_SALE
            - CASH_REFUND
            - BALANCE
            - DISPUTE
            - ORDER
            - PAYOUT
            - SUBSCRIPTION
            - TRANSACTION
            - EVENT
            - FULFILLMENT
            - INVENTORY
            - COMPANY
            - LEAD
            - OPPORTUNITY
            - PIPELINE
            - PIPELINE_STAGE
            - NOTE
            - TASK
            - OWNER
            - ENGAGEMENT
            - ADDRESS
            - EXTERNAL_LINK
            - LINE_ITEM
            - PHONE_NUMBER
            - VARIANT
        category:
          type: string
          enum:
            - ACCOUNTING
            - PAYMENTS
            - ECOMMERCE
            - CRM
            - HRIS
        enabled:
          type: boolean
        scopeAccess:
          $ref: '#/components/schemas/ScopeAccessResponse'
        frequency:
          type: string
          enum:
            - WEEKLY
            - MONTHLY
            - YEARLY
            - DAILY
            - HOURLY
            - NEVER
        interval:
          type: number
        syncFrom:
          type: string
          nullable: true
        isOverridden:
          type: boolean
        isChild:
          type: boolean
      required:
        - dataModel
        - category
        - enabled
        - scopeAccess
        - frequency
        - interval
        - syncFrom
        - isOverridden
        - isChild
    SerializedConnection:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        companyId:
          type: number
        organisationId:
          type: number
        integrationType:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        integrationEntityId:
          type: string
          nullable: true
        category:
          type: string
          enum:
            - ACCOUNTING
            - PAYMENTS
            - ECOMMERCE
            - CRM
            - HRIS
        status:
          type: string
          enum:
            - HEALTHY
            - DISCONNECTED
            - EXPIRED
            - PENDING
            - RATE_LIMIT_EXCEEDED
        syncStatus:
          type: string
          enum:
            - IDLE
            - FETCHING
            - SLEEPING
            - PARSING
            - RUNNING
        syncResumeAt:
          type: string
          format: date-time
          nullable: true
        lastSynced:
          type: string
          format: date-time
          nullable: true
        variables:
          type: object
          additionalProperties: true
          nullable: true
      required:
        - id
        - createdAt
        - updatedAt
        - companyId
        - organisationId
        - integrationType
        - integrationEntityId
        - category
        - status
        - syncStatus
        - syncResumeAt
        - lastSynced
        - variables
    ScopeAccessResponse:
      type: object
      properties:
        READ:
          type: boolean
        CREATE:
          type: boolean
        UPDATE:
          type: boolean
        DELETE:
          type: boolean
      required:
        - READ
        - CREATE
        - UPDATE
        - DELETE
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````